Package org.bukkit.permissions

# Enum Class PermissionDefault

java.lang.Object
java.lang.Enum<PermissionDefault>
org.bukkit.permissions.PermissionDefault

All Implemented Interfaces:
  `Serializable`, `Comparable<PermissionDefault>`, `Constable`

public enum PermissionDefault extends Enum<PermissionDefault>
Represents the possible default values for permissions

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FALSE`
`NOT_OP`
`OP`
`TRUE`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable PermissionDefault`
`getByName(@NotNull String name)`
Looks up a PermissionDefault by name
`boolean`
`getValue(boolean op)`
Calculates the value of this PermissionDefault for the given operator value
`String`
`toString()`
`static PermissionDefault`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PermissionDefault[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TRUE

public static final PermissionDefault TRUE

### FALSE

public static final PermissionDefault FALSE

### OP

public static final PermissionDefault OP

### NOT_OP

public static final PermissionDefault NOT_OP

## Method Details

### values

public static PermissionDefault[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PermissionDefault valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public boolean getValue(boolean op)
Calculates the value of this PermissionDefault for the given operator value

Parameters:
  `op` - If the target is op
Returns:
  True if the default should be true, or false

### getByName

@Nullable public static @Nullable PermissionDefault getByName(@NotNull @NotNull String name)
Looks up a PermissionDefault by name

Parameters:
  `name` - Name of the default
Returns:
  Specified value, or null if not found

### toString

public String toString()

Overrides:
  `toString` in class `Enum<PermissionDefault>`